lcd.cpp File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <stdarg.h>`
`#include <wiringPi.h>`
`#include "spi.h"`
`#include "lcd.h"`
`#include "global.h"`

## Macros

#define | TRUE (1==1)
#define | FALSE (1==2)
#define | LCD_CLEAR 0x01
#define | LCD_HOME 0x02
#define | LCD_ENTRY 0x04
#define | LCD_CTRL 0x08
#define | LCD_CDSHIFT 0x10
#define | LCD_FUNC 0x20
#define | LCD_CGRAM 0x40
#define | LCD_DGRAM 0x80
#define | LCD_ENTRY_SH 0x01
#define | LCD_ENTRY_ID 0x02
#define | LCD_BLINK_CTRL 0x01
#define | LCD_CURSOR_CTRL 0x02
#define | LCD_DISPLAY_CTRL 0x04
#define | LCD_FUNC_F 0x04
#define | LCD_FUNC_N 0x08
#define | LCD_FUNC_DL 0x10
#define | LCD_CDSHIFT_RL 0x04

## Functions

void | lcdHome (const int fd)
void | lcdClear (const int fd)
void | lcdDisplay (const int fd, int state)
void | lcdCursor (const int fd, int state)
void | lcdCursorBlink (const int fd, int state)
void | lcdSendCommand (const int fd, unsigned char command)
void | lcdPosition (const int fd, int x, int y)
void | lcdCharDef (const int fd, int index, unsigned char data[8])
void | lcdPutchar (const int fd, unsigned char data)
void | lcdPuts (const int fd, const char *string)
void | lcdPrintf (const int fd, const char *message,...)
int | lcdInit (void)
int | lcdInitI (const int rows, const int cols, const int bits, const int rs, const int strb)

## Variables

struct lcdDataStruct * | lcds [MAX_LCDS]

## Macro Definition Documentation

#define FALSE (1==2)

#define LCD_BLINK_CTRL 0x01

#define LCD_CDSHIFT 0x10

#define LCD_CDSHIFT_RL 0x04

#define LCD_CGRAM 0x40

#define LCD_CLEAR 0x01

#define LCD_CTRL 0x08

#define LCD_CURSOR_CTRL 0x02

#define LCD_DGRAM 0x80

#define LCD_DISPLAY_CTRL 0x04

#define LCD_ENTRY 0x04

#define LCD_ENTRY_ID 0x02

#define LCD_ENTRY_SH 0x01

#define LCD_FUNC 0x20

#define LCD_FUNC_DL 0x10

#define LCD_FUNC_F 0x04

#define LCD_FUNC_N 0x08

#define LCD_HOME 0x02

#define TRUE (1==1)

## Function Documentation

void lcdCharDef | ( | const int | fd,
|  | int | index,
|  | unsigned char | data[8]
| ) |  |

void lcdClear | ( | const int | fd | ) |

void lcdCursor | ( | const int | fd,
|  | int | state
| ) |  |

void lcdCursorBlink | ( | const int | fd,
|  | int | state
| ) |  |

void lcdDisplay | ( | const int | fd,
|  | int | state
| ) |  |

void lcdHome | ( | const int | fd | ) |

int lcdInit | ( | void |  | ) |

int lcdInitI | ( | const int | rows,
|  | const int | cols,
|  | const int | bits,
|  | const int | rs,
|  | const int | strb
| ) |  |

void lcdPosition | ( | const int | fd,
|  | int | x,
|  | int | y
| ) |  |

void lcdPrintf | ( | const int | fd,
|  | const char * | message,
|  |  | ...
| ) |  |

void lcdPutchar | ( | const int | fd,
|  | unsigned char | data
| ) |  |

void lcdPuts | ( | const int | fd,
|  | const char * | string
| ) |  |

void lcdSendCommand | ( | const int | fd,
|  | unsigned char | command
| ) |  |

## Variable Documentation

struct lcdDataStruct* lcds[MAX_LCDS]